@import url("https://fonts.googleapis.com/css2?family=Big+Shoulders+Display:wght@700&family=Lexend+Deca&display=swap");

.columns {
  display: flex;
  flex-wrap: wrap;
  margin: 0 auto;
  height: 100vh;
  align-items: center;
  max-width: 900px;
  font-family: "Lexend Deca", sans-serif;

  @media screen and (max-width: 500px) {
    margin: 1rem;
  }

  .column {
    display: flex;
    flex: 1;
    justify-content: center;
  }

  .card {
    display: flex;
    flex-flow: column;
    width: 100%;
    min-width: 300px;
    height: 510px;
    padding: 3em;
    color: hsl(0, 0%, 95%);

    @media screen and (max-width: 500px) {
      height: auto;
    }
  }
  .card-sedan {
    background: #e28625;
    border-radius: 0.75rem 0 0 0.75rem;
    @media screen and (max-width: 500px) {
      border-radius: 0.75rem 0.75rem 0 0;
    }
  }
  .card-suv {
    background: #006971;
  }
  .card-luxury {
    background: #004140;
    border-radius: 0 0.75rem 0.75rem 0;
    @media screen and (max-width: 500px) {
      border-radius: 0 0 0.75rem 0.75rem;
    }
  }
  .card-title {
    text-transform: uppercase;
    font-size: 2.5rem;
    font-family: "Big Shoulders Display", sans-serif;

    @media screen and (max-width: 500px) {
      font-size: 1.5rem;
    }
  }
  .card-description {
    line-height: 2;
    margin: 0;
    margin-bottom: 2rem;
    font-size: 0.875rem;
    color: rgb(233, 231, 231);
  }
  .card-img {
    width: 75px;
  }
  .card-btn {
    margin: auto auto 0 0;
    text-align: center;
    background: #fff;
    color: #e28625;
    border: 1px solid transparent;
    padding: 1em 2em;
    border-radius: 25px;

    &:hover {
      background: none;
      border: 1px solid #fff;
      color: #fff;
      cursor: pointer;
    }
  }
}
